libthunarx-3-0_1.8.9-1+b1_amd64.deb


Advertisement

Description

libthunarx-3-0 - extension library for thunar

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libthunarx-3-0_1.8.9-1+b1_amd64.deb
Package name libthunarx-3-0
Package version 1.8.9
Package release 1+b1
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage https://docs.xfce.org/xfce/thunar/start
License -
Maintainer Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Download size 460.90 KB
Installed size 663.00 KB

Alternatives

Package Version Architecture Repository
libthunarx-3-0_1.8.9-1+b1_i386.deb 1.8.9 i386 Debian Main
libthunarx-3-0 - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.4
libexif12 >= 0.6.21-1~
libexo-2-0 >= 0.11.0
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.37.3
libgtk-3-0 >= 3.21.4
libpango-1.0-0 >= 1.14.0
libpcre3 -
libx11-6 -
libxfce4ui-2-0 >= 4.12.0
libxfce4util7 >= 4.9.0
libxfconf-0-3 >= 4.6.0
thunar-data -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libthunarx-3-0_1.8.9-1+b1_amd64.deb
Source Package thunar

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libthunarx-3-0 deb package:
    # sudo apt-get install libthunarx-3-0

Files

Path
/usr/lib/x86_64-linux-gnu/libthunarx-3.so.0
/usr/lib/x86_64-linux-gnu/libthunarx-3.so.0.0.0
/usr/lib/x86_64-linux-gnu/thunarx-3/thunar-apr.so
/usr/lib/x86_64-linux-gnu/thunarx-3/thunar-sbr.so
/usr/lib/x86_64-linux-gnu/thunarx-3/thunar-uca.so
/usr/lib/x86_64-linux-gnu/thunarx-3/thunar-wallpaper-plugin.so
/usr/share/doc/libthunarx-3-0/changelog.Debian.amd64.gz
/usr/share/doc/libthunarx-3-0/changelog.Debian.gz
/usr/share/doc/libthunarx-3-0/changelog.gz
/usr/share/doc/libthunarx-3-0/copyright

Changelog

2019-08-15 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.8.9-1) unstable; urgency=medium
[ Unit 193 ]
* New upstream version 1.8.9
* d/control: Drop Build-Depends on libdbus-glib-1-dev and libxml-parser-perl.
* d/rules:
- Pass '--enable-gtk-doc' during configure to fix consecutive builds.
- Drop '--disable-silent-rules' now that it's default, sort remaining.
- Drop dbgsym migration now that it's complete.
[ Yves-Alexis Perez ]
* d/control: drop b-dep on chrpath, unused
2019-07-17 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.8.7-1) unstable; urgency=medium
[ Mateusz Łukasik ]
* New upstream version 1.8.7
[ Unit 193 ]
* d/p/01_support-non-multiarch-modules.patch: Correct path for thunarx-3.
[ Yves-Alexis Perez ]
* d/control: update standards version to 4.4.0
2019-01-28 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.8.4-1) unstable; urgency=medium
* New upstream version 1.8.4
* use debhelper-compat b-d instead of d/compat
* d/control: update standards version to 4.3.0
* drop libthunarx-2-0 maintainer scripts, now useless
* migrate symlink_to_dir migration to thunar.maintscript
* New upstream version 1.8.4
2018-10-07 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.8.2-1) unstable; urgency=medium
[ Unit 193 ]
* New upstream version 1.8.2
- Fixed segfault while clicking or typing when using wayland.
closes: #910353
* d/control:
- Mark thunar-data Multi-Arch: foreign.                     closes: #856598
- d/control: Drop Lionel from uploaders, thanks!
* Update Standards-Version to 4.2.1.
[ Yves-Alexis Perez ]
* d/control: add multi-arch fields. (closes: #856598)
2018-06-26 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.8.1-1) unstable; urgency=medium
[ Yves-Alexis Perez ]
* d/control: make libthunarx-3-dev depend on gtk-3 dev libs
* Upload to unstable
[ Unit 193 ]
* New upstream version 1.8.1
* d/compat, d/control: Bump dh compat to 11.
* d/control:
- Relax build-depend on libxfce4ui-2-dev to 4.12.
- Update 'homepage' field.
* d/rules:
- Drop --parallel, it's now default.
- Drop manual autogen, autoreconf is now run by default.
* d/watch: Use 'https'.
* Update Standards-Version to 4.1.4.
2018-06-07 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.8.0-1) experimental; urgency=medium
* New upstream version 1.8.0
* d/p/02_convert-appdata dropped, included upstream
* d/thunar.install: directly install AppStream from metainfo folder
2018-04-06 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.7.2-1) experimental; urgency=medium
* d/gbp.conf added to follow DEP-14
* New upstream version 1.7.2
* d/control: update xfce4-panel build-dep to libxfce4panel-2.0-dev 4.12
* d/control: make thunar recommends udisks2 (closes: #719183)
* d/control: recommends a polkit agent (closes: #842378)
2018-02-17 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.7.1-1) experimental; urgency=medium
* Moved the package to salsa.debian.org
* New upstream version 1.7.1
* d/p/03_fix-tpa-build.patch dropped, fixed upstream
* d/control: update libxfce4ui-2 build-dep to 4.13.2
* install systemd user service in thunar-data
* libthunarx-3-0: update symbols file for new release
2017-11-27 - Yves-Alexis Perez <corsac@debian.org>
thunar (1.7.0-1) experimental; urgency=medium
[ Yves-Alexis Perez ]
* New upstream development release.
* debian/control:
- replace libexo-1-dev build-dep by libexo-2-dev
- replace libxfce4ui-1-dev build-dep by libxfce4ui-2-dev
- update libxfce4util build-dep to 4.12
- replace Gtk2 by Gtk3, add explicit build-dep on libglib2.0-dev.
- add explicit build-dep on libxfconf-0-dev
* debian/rules:
- drop enable-dbus and enable-startup-notification options, not valid
anymore.
- use dh_missing
* debian/patches:
- 03_fix-tpa-build added, fix build with TPA plugin
* Migrate from thunarx-2 to thunarx-3.
[ Mateusz Łukasik ]
* Update VCS-Browser link to secure address

See Also

Package Description
libthunarx-3-dev_1.8.9-1+b1_amd64.deb Development files for libthunarx
libticables-dev_1.3.5+dfsg-3+b1_amd64.deb Texas Instruments link cables library [development files]
libticables2-7_1.3.5+dfsg-3+b1_amd64.deb Texas Instruments link cables library
libticalcs-dev_1.1.9+dfsg-2+b1_amd64.deb Texas Instruments calculator communication library [development files]
libticalcs2-12_1.1.9+dfsg-2+b1_amd64.deb Texas Instruments calculator communication library
libticcutils-dev_0.20-1+b1_amd64.deb utility functions used in the context of Natural Language Processing (headers)
libticcutils5_0.20-1+b1_amd64.deb utility functions used in the context of Natural Language Processing (library)
libticket-simple-perl_0.0.2-4_all.deb basic ticket system
libtickit-async-perl_0.21-2_all.deb module to use Tickit with IO::Async
libtickit-console-perl_0.07-2_all.deb module to build full-screen console-style applications
libtickit-dev_0.2-5_amd64.deb Terminal Interface Construction KIT (development files)
libtickit-perl_0.65-4+b2_amd64.deb Terminal Interface Construction KIT
libtickit-widget-floatbox-perl_0.03-2_all.deb manage a collection of floating widgets
libtickit-widget-scrollbox-perl_0.07-2_all.deb allow a single child widget to be scrolled
libtickit-widget-scroller-perl_0.23-2_all.deb a scroller widget for Tickit
Advertisement
Advertisement